commit 589dc23095c50a2373939082e5b69831e8f6d2c7
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Sep 6 02:27:33 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 8e08cffb95c..15826a05707 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,14 @@
+2025-09-05  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-09-05  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/121794
+	* config/avr/avr.cc (avr_out_compare): Only use zero_reg
+	when there is no other sequence of the same length.
+	(avr_out_plus_ext): Same.
+	(avr_out_plus_1): Same.
+
 2025-09-02  Jeff Law  <jlaw@ventanamicro.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 0cc4fce33a1..252222bbfcd 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250905
+20250906

